[dogfood] Send Page from browser has problem of not properly escaping the url when setting

VERIFIED FIXED

Status

MailNews Core
Composition
P3
normal
VERIFIED FIXED
19 years ago
10 years ago

People

(Reporter: chriss, Assigned: jefft)

Tracking

Trunk
x86
Windows 98

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment)

(Reporter)

Description

19 years ago
Broswer ID: 2000010308
OS: Win98

Steps:
1) Go to web page
2) Select File | Send
Page
3) Address message and send
4) Check message that was sent and notice that
the page is not attached. Instead
the following error appears in the message:

HTTP Error 400

400 Bad Request
Due to malformed syntax, the request could not
be understood by the server. The client should not repeat the request without
modifications.

Here is a full text example:
Return-Path: <list@aka.mcom.com>
Received: from aka.mcom.com ([205.217.237.180]) by
          tintin.mcom.com
(Netscape Messaging Server 4.1) with ESMTP id
          FNRV1A00.55M for
<chriss@tintin.mcom.com>; Mon, 3 Jan 2000
          10:22:22 -0800
Received:
(from list@localhost) by aka.mcom.com (8.8.5/8.7.3) id KAA22006 for chriss; Mon,
3 Jan 2000 10:22:21 -0800 (PST)
Resent-Date: Mon, 3 Jan 2000 10:22:17 -0800
(PST)
Message-ID: <3870EAA3.6090000@netscape.com>
Date: Mon, 03 Jan 2000 10:29:55 -0800
From: chriss@netscape.com (Chris Saito)
Organization: Netscape Communications
User-Agent: Mozilla 5.0 [en-US]
(Windows_98; I)
X-Accept-Language: en
MIME-Version: 1.0
To: cpm@netscape.com
Subject: AOL Press Release
Content-Type: multipart/mixed;

boundary="------------060402020302070709020404"
Resent-Message-ID:
<"F67u.A.fVF.YjOc4"@glacier>
Resent-From: cpm@netscape.com
X-Mailing-List: <cpm@netscape.com>
X-Loop: cpm@netscape.com
X-Loop: inbound@netscape.com
Precedence: list
Resent-Sender: inbound-request@netscape.com

This is a multi-part message in
MIME format.
--------------060402020302070709020404
Content-Type: text/html;
charset=us-ascii
Content-Transfer-Encoding: 7bit

<html><head></head>
<body>http://media.web.aol.com/media/press_view.cfm?release_num=10100493&amp;title=AOL
Holiday Shopping Sales Surge To $2.5 Billion</body>
</html>
--------------060402020302070709020404
Content-Type: text/html;
charset=us-ascii;
 name="press_view.cfm"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline;
 filename="press_view.cfm"
Content-Base:
"http://media.web.aol.com/media/press_v

iew.cfm?release_num=10100493&title=


     AOL%20Holiday%20Shopping%20Sales%20
        Surge%20To%20$2.5%20Billion"
Content-Location:
"http://media.web.aol.com/media/press_v

iew.cfm?release_num=10100493&title=

        AOL%20Holiday%20Shopping%20Sales%20
        Surge%20To%20$2.5%20Billion"

<html><head><title>Error 400</title>

<meta name="robots" content="noindex">
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1"></head>

<body>

<h2>HTTP Error 400</h2>

<p><strong>400 Bad Request</strong></p>

<p>Due to malformed syntax, the request could not be understood by the server.
The client should not repeat the request without modifications.</p>

</body></html>
--------------060402020302070709020404--

Updated

19 years ago
Assignee: phil → jefft
QA Contact: lchiang → pmock

Comment 1

19 years ago
What is the URL of the page you were trying to send?

This did work at one time as per bug
http://bugzilla.mozilla.org/show_bug.cgi?id=21025.

Jeff - is this yours?
(Reporter)

Comment 3

19 years ago
The link I just sent doesn't seem to work. To get to the page, do the following:
1. Go to http://corp.aol.com/
2. Click on this "AOL Holiday Shopping Sales Surge to $2.5 Billion"
3. Try to send the page that loads

Comment 4

19 years ago
fyi,
On simple URLs such as http://www.mozilla.org or http://www.thecase.com,
seamonkey does not have problems sending the web page on today win32 commercial
seamonkey build 2000-01-03-09-m13.  On the web page that Chris gave as an
example http://corp.aol.com ..., I was able to duplicate the problem on today
win32 build.
The url that got sent was:

http://media.web.aol.com/media/press_view.cfm?release_num=10100493&title=AOL
Holiday Shopping Sales Surge To $2.5 Billion

If I compare this with 4.7 win32 rtm build, I don't have this problem.  The url
that gets sent is different. See below:

http://media.web.aol.com/media/press_view.cfm?release_num=10100493&title=AOL%20H
oliday%20Shopping%20Sales%20Surge%20To%20%242%2E5%20Billion

It appear the spaces "%20" are being converted to spaces so the web page could
not be sent if it can't be found.
(Assignee)

Updated

19 years ago
Status: NEW → ASSIGNED
(Assignee)

Comment 5

19 years ago
For sure this definitely a problem of not properly escaping the url when setting
the attachment list.

Updated

19 years ago
Summary: [dogfood] Send Page from browser does not send the page → [dogfood] Send Page from browser has problem of not properly escaping the url when setting
(Assignee)

Comment 6

19 years ago
Created attachment 3933 [details] [diff] [review]
Fix in hand. Ready for review and check in.
(Assignee)

Updated

19 years ago
Status: ASSIGNED → RESOLVED
Last Resolved: 19 years ago
Resolution: --- → FIXED
(Assignee)

Comment 7

19 years ago
Fix checked in. navigator.js modified.

Updated

19 years ago
Status: RESOLVED → VERIFIED

Comment 8

19 years ago
Verified as fixed on win32, macos, and linux using the following builds:
ftp://sweetlou/products/client/seamonkey/windows/32bit/x86/2000-01-04-09-M13/sea
monkey32e.exe
ftp://sweetlou/products/client/seamonkey/unix/linux_glibc/2.2/x86/2000-01-04-08-
M13/netscape-i686-pc-linux-gnu.tar.gz
ftp://sweetlou/products/client/seamonkey/macos/8.x/ppc/2000-01-04-09-M13/NSMacIn
staller-M13.sea.bin

The web page is now being sent.  There is however another escaping url problem.
We should be escaping the URL in the message body and making it a clickable url.
I will log a separate bug on this issue.
Product: MailNews → Core
Product: Core → MailNews Core
You need to log in before you can comment on or make changes to this bug.